com.opensymphony.xwork2.inject

## Interface Scope.Strategy

- Enclosing class:
    Scope

      public static interface Scope.Strategy

  Pluggable scoping strategy. Enables users to provide custom implementations of request, session, and wizard scopes. Implement and pass to `Container.setScopeStrategy(com.opensymphony.xwork2.inject.Scope.Strategy)`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> T` | `findInRequest(Class<T> type, String name, Callable<? extends T> factory)` Finds an object for the given type and name in the request scope.
    `<T> T` | `findInSession(Class<T> type, String name, Callable<? extends T> factory)` Finds an object for the given type and name in the session scope.
    `<T> T` | `findInWizard(Class<T> type, String name, Callable<? extends T> factory)` Finds an object for the given type and name in the wizard scope.

- - ### Method Detail

    - #### findInRequest

          <T> T findInRequest(Class<T> type,
                              String name,
                              Callable<? extends T> factory)
                       throws Exception

      Finds an object for the given type and name in the request scope. Creates a new object if necessary using the given factory.
      Type Parameters:
        `T` - generic type
      Parameters:
        `type` - type of object
        `name` - name of object
        `factory` - factory
      Returns:
        the object for the given type and name in the request scope
      Throws:
        `Exception` - in case of any error

    - #### findInSession

          <T> T findInSession(Class<T> type,
                              String name,
                              Callable<? extends T> factory)
                       throws Exception

      Finds an object for the given type and name in the session scope. Creates a new object if necessary using the given factory.
      Type Parameters:
        `T` - generic type
      Parameters:
        `type` - type of object
        `name` - name of object
        `factory` - factory
      Returns:
        the object for the given type and name in the session scope
      Throws:
        `Exception` - in case of any error

    - #### findInWizard

          <T> T findInWizard(Class<T> type,
                             String name,
                             Callable<? extends T> factory)
                      throws Exception

      Finds an object for the given type and name in the wizard scope. Creates a new object if necessary using the given factory.
      Type Parameters:
        `T` - generic type
      Parameters:
        `type` - type of object
        `name` - name of object
        `factory` - factory
      Returns:
        the object for the given type and name in the wizard scope
      Throws:
        `Exception` - in case of any error

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.